jm.constants

## Interface DrumMap

- All Known Subinterfaces:
    JMC
  All Known Implementing Classes:
    Add, ADSR, AllFGTR, AllPass, Audio, AudioObject, AudioSampleInst, BassStave, Comb, Compressor, CPhrase, Delay, Envelope, FFT, FGTR, Filter, Grain2, GrandStave, Granulator, HelperGUI, Histogram, HistogramFrame, Instrument, InverseFFT, Invert, JGrandStave, JStaveActionHandler, MidiParser, MidiSynth, MidiUtil, Mod, Multiply, Noise, Notate, NoteBuffer, NoteBufferReversed, Oscillator, Part, Phrase, PhraseMatrix, PianoStave, Play, Pluck, PrintOut, Read, ReSample, RTIn, RTPhrase, SampleIn, SampleOut, Score, SketchScoreArea, SMF, Smooth, Splitter, Spring, Stave, StaveActionHandler, StereoPan, TapDelay, TextIn, TrebleStave, Value, View, Volume, WaveFileReader, Wavelet, Waveshaper, WaveTable, Window, Write

      public interface DrumMap

  An interface storing pitch value constants from the general MIDI drum map.
  See Also:
    `Note`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACOUSTIC_BASS_DRUM`
    `static int` | `ACOUSTIC_SNARE`
    `static int` | `BASS_DRUM_1`
    `static int` | `CABASA`
    `static int` | `CHINESE_CYMBAL`
    `static int` | `CLAVES`
    `static int` | `CLOSED_HI_HAT`
    `static int` | `COWBELL`
    `static int` | `CRASH_CYMBAL_1`
    `static int` | `CRASH_CYMBAL_2`
    `static int` | `ELECTRIC_SNARE`
    `static int` | `HAND_CLAP`
    `static int` | `HI_BONGO`
    `static int` | `HI_MID_TOM`
    `static int` | `HI_WOOD_BLOCK`
    `static int` | `HIGH_AGOGO`
    `static int` | `HIGH_FLOOR_TOM`
    `static int` | `HIGH_TIMBALE`
    `static int` | `HIGH_TOM`
    `static int` | `LONG_GUIRO`
    `static int` | `LONG_WHISTLE`
    `static int` | `LOW_AGOGO`
    `static int` | `LOW_BONGO`
    `static int` | `LOW_CONGA`
    `static int` | `LOW_FLOOR_TOM`
    `static int` | `LOW_MID_TOM`
    `static int` | `LOW_TIMBALE`
    `static int` | `LOW_TOM`
    `static int` | `LOW_WOOD_BLOCK`
    `static int` | `MARACAS`
    `static int` | `MUTE_CUICA`
    `static int` | `MUTE_HI_CONGA`
    `static int` | `MUTE_TRIANGLE`
    `static int` | `OPEN_CUICA`
    `static int` | `OPEN_HI_CONGA`
    `static int` | `OPEN_HI_HAT`
    `static int` | `OPEN_TRIANGLE`
    `static int` | `PEDAL_HI_HAT`
    `static int` | `RIDE_BELL`
    `static int` | `RIDE_CYMBAL_1`
    `static int` | `RIDE_CYMBAL_2`
    `static int` | `SHORT_GUIRO`
    `static int` | `SHORT_WHISTLE`
    `static int` | `SIDE_STICK`
    `static int` | `SPLASH_CYMBAL`
    `static int` | `TAMBOURINE`
    `static int` | `VIBRASLAP`

- - ### Field Detail

    - #### ACOUSTIC_BASS_DRUM

          static final int ACOUSTIC_BASS_DRUM

      See Also:
        Constant Field Values

    - #### BASS_DRUM_1

          static final int BASS_DRUM_1

      See Also:
        Constant Field Values

    - #### SIDE_STICK

          static final int SIDE_STICK

      See Also:
        Constant Field Values

    - #### ACOUSTIC_SNARE

          static final int ACOUSTIC_SNARE

      See Also:
        Constant Field Values

    - #### HAND_CLAP

          static final int HAND_CLAP

      See Also:
        Constant Field Values

    - #### ELECTRIC_SNARE

          static final int ELECTRIC_SNARE

      See Also:
        Constant Field Values

    - #### LOW_FLOOR_TOM

          static final int LOW_FLOOR_TOM

      See Also:
        Constant Field Values

    - #### CLOSED_HI_HAT

          static final int CLOSED_HI_HAT

      See Also:
        Constant Field Values

    - #### HIGH_FLOOR_TOM

          static final int HIGH_FLOOR_TOM

      See Also:
        Constant Field Values

    - #### PEDAL_HI_HAT

          static final int PEDAL_HI_HAT

      See Also:
        Constant Field Values

    - #### LOW_TOM

          static final int LOW_TOM

      See Also:
        Constant Field Values

    - #### OPEN_HI_HAT

          static final int OPEN_HI_HAT

      See Also:
        Constant Field Values

    - #### LOW_MID_TOM

          static final int LOW_MID_TOM

      See Also:
        Constant Field Values

    - #### HI_MID_TOM

          static final int HI_MID_TOM

      See Also:
        Constant Field Values

    - #### CRASH_CYMBAL_1

          static final int CRASH_CYMBAL_1

      See Also:
        Constant Field Values

    - #### HIGH_TOM

          static final int HIGH_TOM

      See Also:
        Constant Field Values

    - #### RIDE_CYMBAL_1

          static final int RIDE_CYMBAL_1

      See Also:
        Constant Field Values

    - #### CHINESE_CYMBAL

          static final int CHINESE_CYMBAL

      See Also:
        Constant Field Values

    - #### RIDE_BELL

          static final int RIDE_BELL

      See Also:
        Constant Field Values

    - #### TAMBOURINE

          static final int TAMBOURINE

      See Also:
        Constant Field Values

    - #### SPLASH_CYMBAL

          static final int SPLASH_CYMBAL

      See Also:
        Constant Field Values

    - #### COWBELL

          static final int COWBELL

      See Also:
        Constant Field Values

    - #### CRASH_CYMBAL_2

          static final int CRASH_CYMBAL_2

      See Also:
        Constant Field Values

    - #### VIBRASLAP

          static final int VIBRASLAP

      See Also:
        Constant Field Values

    - #### RIDE_CYMBAL_2

          static final int RIDE_CYMBAL_2

      See Also:
        Constant Field Values

    - #### HI_BONGO

          static final int HI_BONGO

      See Also:
        Constant Field Values

    - #### LOW_BONGO

          static final int LOW_BONGO

      See Also:
        Constant Field Values

    - #### MUTE_HI_CONGA

          static final int MUTE_HI_CONGA

      See Also:
        Constant Field Values

    - #### OPEN_HI_CONGA

          static final int OPEN_HI_CONGA

      See Also:
        Constant Field Values

    - #### LOW_CONGA

          static final int LOW_CONGA

      See Also:
        Constant Field Values

    - #### HIGH_TIMBALE

          static final int HIGH_TIMBALE

      See Also:
        Constant Field Values

    - #### LOW_TIMBALE

          static final int LOW_TIMBALE

      See Also:
        Constant Field Values

    - #### HIGH_AGOGO

          static final int HIGH_AGOGO

      See Also:
        Constant Field Values

    - #### LOW_AGOGO

          static final int LOW_AGOGO

      See Also:
        Constant Field Values

    - #### CABASA

          static final int CABASA

      See Also:
        Constant Field Values

    - #### MARACAS

          static final int MARACAS

      See Also:
        Constant Field Values

    - #### SHORT_WHISTLE

          static final int SHORT_WHISTLE

      See Also:
        Constant Field Values

    - #### LONG_WHISTLE

          static final int LONG_WHISTLE

      See Also:
        Constant Field Values

    - #### SHORT_GUIRO

          static final int SHORT_GUIRO

      See Also:
        Constant Field Values

    - #### LONG_GUIRO

          static final int LONG_GUIRO

      See Also:
        Constant Field Values

    - #### CLAVES

          static final int CLAVES

      See Also:
        Constant Field Values

    - #### HI_WOOD_BLOCK

          static final int HI_WOOD_BLOCK

      See Also:
        Constant Field Values

    - #### LOW_WOOD_BLOCK

          static final int LOW_WOOD_BLOCK

      See Also:
        Constant Field Values

    - #### MUTE_CUICA

          static final int MUTE_CUICA

      See Also:
        Constant Field Values

    - #### OPEN_CUICA

          static final int OPEN_CUICA

      See Also:
        Constant Field Values

    - #### MUTE_TRIANGLE

          static final int MUTE_TRIANGLE

      See Also:
        Constant Field Values

    - #### OPEN_TRIANGLE

          static final int OPEN_TRIANGLE

      See Also:
        Constant Field Values